Skip to navigation

Get notebook entries using entry IDs or display IDs

Get notebook entries using entry IDs or display IDs

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

entryIdsstringOptional

Comma-separated list of Entry IDs.

displayIdsstringOptional

Comma-separated list of Entry Display IDs.

returningstringOptional

Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.

Note: “entries.days.notes” cannot be introspected with the returning parameter, and any sub fields will be ignored. E.g., “entries.days.notes.text” will return the same model as “entries.days.notes”.

Response

Returns a list of entries. Entries are notes that users can take. They’re organized by “days” (which are user-configurable) and modeled within each day as a list of “notes.” Each note has a type - the simplest is a “text” type, but lists, tables, and external files are also supported.

Note: the current Entry resource has a few limitations:

  • Formatting information is not yet supported. Header formatting, bolding, and other stylistic information is not presented.
  • Data in tables is presented as text always - numeric values will need to be parsed into floats or integers, as appropriate.

Note: Data in Results tables are not accessible through this API call. Results table data can be called through the Results API calls.

entrieslist of objectsOptional

Errors

400
Bad Request Error